Skip to content

Update alert config

PUT
/api/v1/gtm/conversion/alerts/config
curl --request PUT \
--url https://api.ultimateteam.ai/api/v1/gtm/conversion/alerts/config \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "thresholds": { "additionalProperty": 1 } }'

Update conversion alert thresholds.

Media typeapplication/json
ConversionAlertConfig

Request body for updating alert thresholds.

object
thresholds
required
Thresholds

Stage transition to threshold mapping

object
key
additional properties
number
Examplegenerated
{
"thresholds": {
"additionalProperty": 1
}
}

Successful Response

Media typeapplication/json
GtmAlertConfigResponse

Response for alert config update.

object
status
required
Status

Operation status

string
thresholds
Thresholds

Updated thresholds

object
key
additional properties
any
Examplegenerated
{
"status": "example",
"thresholds": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}